- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# MFnKeyframeDeltaBlockAddRemove Class Reference

# OpenMayaAnim - API module for animation | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for block add or removal of keys.

Certain keyframe editing operations work on group of keys rather than an single key. These operations require this function set to retrieve changes.

Function set for reading a block of keyframe changes. They are used internally to set a large group of keys quickly. Because changes occur in groups using base class keyframe methods on this derived class do not make sense. Therefore, methods describing where the block of keys were added or removed are available though methods on this class.

`#include <MFnKeyframeDeltaBlockAddRemove.h>`

Inheritance diagram for MFnKeyframeDeltaBlockAddRemove:
[legend]

List of all members.

## Public Types
enum | DeltaType { kAdded, kRemoved }
| Type of change. More...
## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnKeyframeDeltaBlockAddRemove ()
| Destructor.
| MFnKeyframeDeltaBlockAddRemove ()
| Default constructor.
| MFnKeyframeDeltaBlockAddRemove (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
DeltaType | deltaType (MStatus *ReturnStatus=NULL) const
| Indicates the type of change, i.e.
MTime | startTime (MStatus *ReturnStatus=NULL) const
| An MTime value indicating the start time of the add/remove.
MTime | endTime (MStatus *ReturnStatus=NULL) const
| Returns an MTime value indicating the endTime of the add/remove.
unsigned int | numKeys (MStatus *ReturnStatus=NULL) const
| Total number of keys involved in this add or remove operation.
void | getValues (MDoubleArray &values, MStatus *ReturnStatus=NULL) const
| Returns the values of all keys involved in the group add or remove.
void | getTimes (MTimeArray &times, MStatus *ReturnStatus=NULL) const
| Returns the times of all keys involved in the group add or remove.
| MFnKeyframeDeltaBlockAddRemove (const MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name.

## Member Enumeration Documentation

enum DeltaType

Search for all occurrences

Type of change.

Enumerator:

  kAdded | Keys were added. Search for all occurrences
  kRemoved | Keys were removed. Search for all occurrences

## Constructor & Destructor Documentation

MFnKeyframeDeltaBlockAddRemove | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnKeyframeDeltaBlockAddRemove | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kKeyframeDeltaBlockAddRemove.

Reimplemented from MFnKeyframeDelta.

const char * className | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Class name.

Return the class name : "MFnKeyframeDeltaBlockAddRemove".

Reimplemented from MFnKeyframeDelta.

MFnKeyframeDeltaBlockAddRemove::DeltaType deltaType | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Indicates the type of change, i.e.

keys added or removed, that this class instance represents.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  - kAdded - a block of keys were added.
  - kRemoved - a block of keys were removed.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MTime startTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

An MTime value indicating the start time of the add/remove.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  An MTime value.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MTime endTime | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns an MTime value indicating the endTime of the add/remove.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:
  An MTime value indicating the end of the add/remove.

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

unsigned int numKeys | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Total number of keys involved in this add or remove operation.

Parameters:

  [out] | ReturnStatus | Return code.

Returns:

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

void getValues | ( | MDoubleArray & | values,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | const

Search for all occurrences

Returns the values of all keys involved in the group add or remove.

Parameters:

  [in] | values | MDoubleArray to store values.
  [out] | ReturnStatus | Status code.

Returns:

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

void getTimes | ( | MTimeArray & | times,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | const

Search for all occurrences

Returns the times of all keys involved in the group add or remove.

Parameters:

  [in] | times | MTimeArray to store all time values.
  [out] | ReturnStatus | Return code.

Returns:

Status Codes:
  - MS::kSuccess The operation succeeded.
  - MS::kFailure An object error has occurred.

MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove
MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove MFnKeyframeDeltaBlockAddRemove